Skip to main content
GET
/
v0
/
documents
/
ids
Get all document IDs
curl --request GET \
  --url https://api.avidoai.com/v0/documents/ids \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "documentIds": [
    "123e4567-e89b-12d3-a456-426614174000",
    "223e4567-e89b-12d3-a456-426614174001",
    "323e4567-e89b-12d3-a456-426614174002"
  ]
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

status
enum<string>[]

Filter by document version status (filters documents by their active version status). Supports multiple values.

Status of the document. Valid options: DRAFT, REVIEW, APPROVED, ARCHIVED, ACTIVE.

Available options:
DRAFT,
REVIEW,
APPROVED,
ARCHIVED,
ACTIVE
Example:

"APPROVED"

tagId
string[]

Filter documents by tag ID

Example:

"789e4567-e89b-12d3-a456-426614174000"

Search in document version title and content

Example:

"API documentation"

scrapeJobId
string<uuid>[]

Filter by scrape job ID. Supports multiple values.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"321e4567-e89b-12d3-a456-426614174000"

Response

List of document IDs retrieved successfully

Response containing all document IDs without pagination

documentIds
string<uuid>[]
required

Array of all document IDs matching the filter criteria

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001",
"323e4567-e89b-12d3-a456-426614174002"
]